foobar2000 v1.3.17 beta

Список разделов Аудиоплеер foobar2000 Новости плеера

Описание: Новости мира foobar2000, включая обновления плеера и бета-версии.

Сообщение #1 VEG » 11.11.2017, 11:04

Вышла бета-версия foobar2000 v1.3.17! Предыдущая версия: foobar2000 v1.3.16.

  • Исправлена ошибка, из-за которой AltGr+A срабатывало как Ctrl+A в различных полях ввода.
  • Файлы MP4/M4A могут быть протегированы без заголовка 'ftyp'.
  • Предотвращено декодирование некорректных фреймов MP3, которые явно пересекаются с данными мета-тегов.
  • Дозволено декодирование WAV-файлов с частотой дискретизации выше 1MHz.
  • Converter: запоминается сортировка списка форматов.
  • Исправлена проблема, приводящая к невозможности чтения тегов в некоторых WAV-файлах.
  • Некоторые внутренние изменения, позволяющие foo_input_exe и foo_input_ffmpeg декодировать потоки HLS и RTMP.
  • Добавлен встроенный декодер IMA ADPCM для специфичных WAV-файлов, которые системный кодек отказывается декодировать.

Скачать: http://www.foobar2000.org/download
С наилучшими пожеланиями, Евгений
VEG M
Автор темы, Администратор
Аватара
Возраст: 30
Откуда: Минск, Беларусь
Репутация: 135
С нами: 5 лет 6 месяцев

Сообщение #2 postED » 14.11.2017, 23:49

Уже бета 3. Петер на форуме также упомянул, что уже не за горами версия 1.4 (а значит возможны заметные изменения).
FLAC -8 // Storage
Opus --bitrate 96 // Portable
----
Waiting for... Summoning - 2018 - With Doom We Come
postED M
Бывалый
Аватара
Откуда: Криворіжжя
Репутация: 35
С нами: 8 лет

Сообщение #3 Гармонист » 15.11.2017, 06:32

Пора бы Павловски, от замазывания дырочек перейти к существенным новациям.
Гармонист
Бывалый
Репутация: 1
С нами: 4 года 5 месяцев

Сообщение #4 VEG » 15.11.2017, 09:53

Главное чтобы ничего не сломали к 1.4. Нам не нужны изменения ради изменений. foobar2000 всегда был плеером не для всех, и ему не нужен новый модный интерфейс.

Добавлено спустя 5 минут 29 секунд:
Мне самому не хватало поддержки HLS (которую добавили недавно через foo_input_ffmpeg, но там мета-инфа не отображается о текущем битрейте и т.д.), и ещё хотелось бы метки с указанием где какая частота на стандартной спектрограмме. В остальном я даж не знаю что хотелось бы ещё добавить. И так всё есть =)
С наилучшими пожеланиями, Евгений
VEG M
Автор темы, Администратор
Аватара
Возраст: 30
Откуда: Минск, Беларусь
Репутация: 135
С нами: 5 лет 6 месяцев

Сообщение #5 Azaza » 15.11.2017, 23:32

VEG писал(а):Главное чтобы ничего не сломали к 1.4. Нам не нужны изменения ради изменений.
Да уж. Хватит и 57-го firefox'a :biggrin:
А если по делу, то в 1.4, вроде как, планируется обойти ограничение современных windows на количество используемых приложением dll-ок - https://hydrogenaud.io/index.php/topic,114425.msg943143.html#msg943143. Существенное изменение.
Аудиофилия - это болезнь,поражающая головной мозг.Набор профилактически-превентивных мер против аудиофилии крайне скуден - техническое образование, умение мыслить логически и наличие здравого смысла.
Azaza M
Бывалый
Аватара
Репутация: 56
С нами: 1 год 2 месяца

Сообщение #6 t830x » 17.11.2017, 15:14

Почему Петро так редко выкатывает новые версии? Раньше вроде чаще делал....
Нащяльника, мая сервира паставиль, фрибизьдя инсталя сделаль, апачи сабраль, пыхапе патключиль, сапускаю, а ано - ажамбех пашамбе эшельбе шайтанама!
t830x M
Бывалый
Аватара
Возраст: 30
Откуда: Латвия
Репутация: 13
С нами: 5 лет 6 месяцев

Сообщение #7 vladj » 17.11.2017, 22:30

Обновленомания ?
HTPC Termaltake, eGlobal i5-7200, Asrock Beebox J3160, Onkyo 525E, цап SMSL, фронт Yamaha 8900.
vladj M
Гуру
Аватара
Откуда: Пермский край
Репутация: 307
С нами: 7 лет 9 месяцев

Сообщение #8 VEG » 17.11.2017, 23:30

Ну исходя из того что готовится релиз 1.4, то видимо занимается кодом для 1.4. Плюс сейчас же foobar2000 сразу под кучу платформ. Под каждой платформой свои заморочки — времени на каждую платформу соответственно меньше.
С наилучшими пожеланиями, Евгений
VEG M
Автор темы, Администратор
Аватара
Возраст: 30
Откуда: Минск, Беларусь
Репутация: 135
С нами: 5 лет 6 месяцев

Сообщение #9 VEG » 18.11.2017, 12:29

На HA мелькала инфа, что автор хочет сделать возможность задавать приоритет декодеров для случаев, когда один и тот же формат поддерживает сразу несколько плагинов. Так что кому не нравится стандартный декодер MP3 (все помнят этого персонажа? :smile: ) — смогут задействовать декодер MAD, как в бородатых версиях foobar2000 0.8.3.
С наилучшими пожеланиями, Евгений
VEG M
Автор темы, Администратор
Аватара
Возраст: 30
Откуда: Минск, Беларусь
Репутация: 135
С нами: 5 лет 6 месяцев

Сообщение #10 Гармонист » 18.11.2017, 17:32

мп3 это малоактуальною Для ретроградов
Гармонист
Бывалый
Репутация: 1
С нами: 4 года 5 месяцев


Вернуться в Новости плеера